Bug 400110 - Breeze `crosshair` cursor is barely visible on a dark background
Summary: Breeze `crosshair` cursor is barely visible on a dark background
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: Icons (show other bugs)
Version: 5.14.1
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: visual-design
URL:
Keywords: junior-jobs, usability
Depends on:
Blocks:
 
Reported: 2018-10-21 13:58 UTC by Patrick Silva
Modified: 2018-11-14 21:53 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.8


Attachments
demonstration (1.59 MB, video/webm)
2018-10-21 13:58 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-10-21 13:58:20 UTC
Created attachment 115805 [details]
demonstration

STEPS TO REPRODUCE
1. open spectacle
2. check "on click"
3. click "take a new screenshot" button

OBSERVED RESULT
cursor is barely visible when moved on dark background. Watch the screencast please.


SOFTWARE VERSIONS
Operating System: Arch Linux 
KDE Plasma Version: 5.14.1
Qt Version: 5.12.0 beta2
KDE Frameworks Version: 5.51.0
Comment 1 Nate Graham 2018-10-21 17:26:32 UTC
This is an issue with the cursor itself, not Spectacle. It should probably have a better-contrasting light border. Moving to Breeze icons.
Comment 2 Hitomi 2018-11-13 09:00:51 UTC
Same here, crosshair is barely visible in blender edit mode.
Comment 3 Nate Graham 2018-11-13 11:39:43 UTC
Submitted a patch to fix this: https://phabricator.kde.org/D16861
Comment 4 Nate Graham 2018-11-14 21:51:34 UTC
Git commit 39c5b09297cc74a0dac78a3d65ff9c3a4836fa13 by Nate Graham, on behalf of Noah Davis.
Committed on 14/11/2018 at 21:51.
Pushed by ngraham into branch 'Plasma/5.12'.

Improve contrast for crosshair cursors

Summary:
The crosshair cursors had barely visible outlines, unlike their companions, so they were almost impossible to distinguish against backgrounds of a similar color. This patch fixes that.
FIXED-IN: 5.12.8

Test Plan:
Breeze crosshair against a dark background:

{F6424448}

Breeze Snow crosshair against a light background:

{F6424449}

Reviewers: #breeze, #vdg, #plasma, ngraham

Reviewed By: #breeze, #vdg, ngraham

Subscribers: ndavis, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D16861

M  +-    --    cursors/Breeze/Breeze/cursors/crosshair
M  +-    --    cursors/Breeze/build/x1/crosshair.png
M  +-    --    cursors/Breeze/build/x1_5/crosshair.png
M  +-    --    cursors/Breeze/build/x2/crosshair.png
M  +224  -211  cursors/Breeze/src/cursors.svg
M  +-    --    cursors/Breeze_Snow/Breeze_Snow/cursors/crosshair
M  +-    --    cursors/Breeze_Snow/build/x1/crosshair.png
M  +-    --    cursors/Breeze_Snow/build/x1_5/crosshair.png
M  +-    --    cursors/Breeze_Snow/build/x2/crosshair.png
M  +251  -233  cursors/Breeze_Snow/src/cursors.svg

https://commits.kde.org/breeze/39c5b09297cc74a0dac78a3d65ff9c3a4836fa13
Comment 5 Nate Graham 2018-11-14 21:53:35 UTC
Git commit c92f9d186d1fc0931fdc278593f2fbb3fb6feebe by Nate Graham, on behalf of Noah Davis.
Committed on 14/11/2018 at 21:53.
Pushed by ngraham into branch 'Plasma/5.14'.

Improve contrast for crosshair cursors

Summary:
The crosshair cursors had barely visible outlines, unlike their companions, so they were almost impossible to distinguish against backgrounds of a similar color. This patch fixes that.
FIXED-IN: 5.12.8

Test Plan:
Breeze crosshair against a dark background:

{F6424448}

Breeze Snow crosshair against a light background:

{F6424449}

Reviewers: #breeze, #vdg, #plasma, ngraham

Reviewed By: #breeze, #vdg, ngraham

Subscribers: ndavis, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D16861

M  +-    --    cursors/Breeze/Breeze/cursors/crosshair
M  +-    --    cursors/Breeze/build/x1/crosshair.png
M  +-    --    cursors/Breeze/build/x1_5/crosshair.png
M  +-    --    cursors/Breeze/build/x2/crosshair.png
M  +224  -211  cursors/Breeze/src/cursors.svg
M  +-    --    cursors/Breeze_Snow/Breeze_Snow/cursors/crosshair
M  +-    --    cursors/Breeze_Snow/build/x1/crosshair.png
M  +-    --    cursors/Breeze_Snow/build/x1_5/crosshair.png
M  +-    --    cursors/Breeze_Snow/build/x2/crosshair.png
M  +251  -233  cursors/Breeze_Snow/src/cursors.svg

https://commits.kde.org/breeze/c92f9d186d1fc0931fdc278593f2fbb3fb6feebe